Subject: bug#20557: 24.4; electric-indent global mode is a regression

From: Jerome L Quinn <[email-masked]>
Date: Tue, 12 May 2015 12:15:33 -0400

Glenn Morris <[email-masked]> wrote on 05/12/2015 11:50:00 AM:

> From: Glenn Morris <[email-masked]>
> To: Jerome L Quinn/Watson/IBM@IBMUS
> Cc: [email-masked]
> Date: 05/12/2015 12:01 PM
> Subject: Re: bug#20557: 24.4; electric-indent global mode is a regression
>
> Jerome L Quinn wrote:
>
> > If I create a temporary buffer, it comes up in fundamental mode.  If I
> > then type:
> >
> > a<RET>
> > a<RET>
> > a<RET>
> > a
> >
> > I instead get
> >
> > a
> >         a
> >                 a
> >                         a
> >
> > which isn't anything like I'd expect, and I can't see how it's useful
> > for anything.
>
> I can't reproduce this. Do you have a recipe starting from emacs -Q?

OK, it doesn't happen with -Q.  I guess I'll have to narrow down what's
mucking things in the startup.

> Perhaps you have edited a csh script; http://debbugs.gnu.org/19433
> What does C-h v indent-line-function  say?

I created a fundamental mode buffer:

indent-line-function is a variable defined in `indent.el'.
Its value is sh-basic-indent-line

Thanks
Jerry